Data Fields
_PurpleAccount Struct Reference

Structure representing an account. More...

`#include <account.h>`

## Data Fields
char * | username
| The username. More...
char * | alias
| How you appear to yourself. More...
char * | password
| The account password. More...
char * | user_info
| User information. More...
char * | buddy_icon_path
| The buddy icon's non-cached path. More...
gboolean | remember_pass
| Remember the password. More...
char * | protocol_id
| The ID of the protocol. More...
PurpleConnection * | gc
| The connection handle. More...
gboolean | disconnecting
| The account is currently disconnecting.
GHashTable * | settings
| Protocol-specific settings. More...
GHashTable * | ui_settings
| UI-specific settings. More...
PurpleProxyInfo * | proxy_info
| Proxy information. More...
GSList * | permit
| Permit list. More...
GSList * | deny
| Deny list. More...
PurplePrivacyType | perm_deny
| The permit/deny setting. More...
GList * | status_types
| Status types. More...
PurplePresence * | presence
| Presence. More...
PurpleLog * | system_log
| The system log.
void * | ui_data
| The UI can put data here. More...
PurpleAccountRegistrationCb | registration_cb
void * | registration_cb_user_data
gpointer | priv
| Pointer to opaque private data. More...

## Detailed Description

Structure representing an account.

Definition at line 169 of file account.h.

## Field Documentation

## ◆ alias

char* _PurpleAccount::alias

How you appear to yourself.

Definition at line 172 of file account.h.

## ◆ buddy_icon_path

char* _PurpleAccount::buddy_icon_path

The buddy icon's non-cached path.

Definition at line 176 of file account.h.

## ◆ deny

GSList* _PurpleAccount::deny

Deny list.

Definition at line 202 of file account.h.

## ◆ gc

PurpleConnection* _PurpleAccount::gc

The connection handle.

Definition at line 182 of file account.h.

## ◆ password

char* _PurpleAccount::password

The account password.

Definition at line 173 of file account.h.

## ◆ perm_deny

PurplePrivacyType _PurpleAccount::perm_deny

The permit/deny setting.

Definition at line 203 of file account.h.

## ◆ permit

GSList* _PurpleAccount::permit

Permit list.

Definition at line 201 of file account.h.

## ◆ presence

PurplePresence* _PurpleAccount::presence

Presence.

Definition at line 207 of file account.h.

## ◆ priv

gpointer _PurpleAccount::priv

Pointer to opaque private data.

Definition at line 214 of file account.h.

## ◆ protocol_id

char* _PurpleAccount::protocol_id

The ID of the protocol.

Definition at line 180 of file account.h.

## ◆ proxy_info

PurpleProxyInfo* _PurpleAccount::proxy_info

Proxy information.

This will be set

Definition at line 188 of file account.h.

## ◆ remember_pass

gboolean _PurpleAccount::remember_pass

Remember the password.

Definition at line 178 of file account.h.

## ◆ settings

GHashTable* _PurpleAccount::settings

Protocol-specific settings.

Definition at line 185 of file account.h.

## ◆ status_types

GList* _PurpleAccount::status_types

Status types.

Definition at line 205 of file account.h.

## ◆ ui_data

void* _PurpleAccount::ui_data

The UI can put data here.

Definition at line 210 of file account.h.

## ◆ ui_settings

GHashTable* _PurpleAccount::ui_settings

UI-specific settings.

Definition at line 186 of file account.h.

## ◆ user_info

char* _PurpleAccount::user_info

User information.

Definition at line 174 of file account.h.

## ◆ username

char* _PurpleAccount::username

The username.

Definition at line 171 of file account.h.

The documentation for this struct was generated from the following file:

- account.h